import { EventEmitter, OnInit, ElementRef } from '@angular/core';
import { HacDatepickerOptions } from './hac.datepicker.options';
import { HacCalendarModel, HacCalendarDayModel, WeekDay } from '../models/hac.calendar.model';
export declare class HacDatepicker implements OnInit {
    private elementRef;
    private _startDate;
    startDate: Date;
    private _endDate;
    endDate: Date;
    startDateChange: EventEmitter<Date>;
    endDateChange: EventEmitter<Date>;
    selected: Date;
    readonly selectedChange: EventEmitter<Date>;
    private _options;
    options: HacDatepickerOptions;
    calendars: HacCalendarModel[];
    weekDayList: WeekDay[];
    private _collapsed;
    collapsed: boolean;
    private forcedSelectionKind?;
    private hoverDate?;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    onClick(event: any): void;
    buildCalendarModel(): void;
    select(day: HacCalendarDayModel): void;
    isSelected(day: HacCalendarDayModel): boolean;
    isDisabled(day: HacCalendarDayModel): boolean;
    isStart(day: HacCalendarDayModel): boolean;
    isEnd(day: HacCalendarDayModel): boolean;
    inRange(day: HacCalendarDayModel, useHover?: boolean): boolean;
    setHoverDate(day: HacCalendarDayModel): void;
    clearDates(): void;
    prevMonth($event?: Event): void;
    nextMonth($event?: Event): void;
    toggleCalendar(): void;
    getSelectionKind(): SelectionKind;
    forceSelectionKind(kind?: SelectionKind): void;
    selectToday(): void;
    isTodayActionEnabled(): boolean;
    private setOptionsDefaults();
    private setStartDate(day?);
    private setEndDate(day?);
    private getFirstRangeDay();
    private getLastRangeDay();
    private isInDayList(day);
    private animate();
}
export declare type SelectionKind = 'start' | 'end';
