export declare class DateHelper {
    /**
     * Format date to 'yyyy-MM-dd' format
     * @param day
     */
    static formatIsoDate(day: Date): string;
    /**
     * Verify if both dates are the same day
     * @param day1
     * @param day2
     */
    static areDatesEqual(day1: Date, day2: Date): boolean;
    /**
     * Checks if candidate is in range between startRange and endRange including both limits
     * @param candidate
     * @param startRange
     * @param endRange
     */
    static isInRange(candidate: Date, startRange: Date, endRange: Date): boolean;
    /**
     * Checks if day1 is greater than day 2
     * @param day1
     * @param day2
     */
    static isGreater(day1: Date, day2: Date): boolean;
    /**
     * Get today date at 00:00h
     */
    static today(): Date;
}
